Xcrun: error: unable to find utility “PackageApplication”, not a developer tool or in PATH — Unable to run app on device


#1

Recently my XCode got updated to 8.3 and now I am not able to run the application on my device. It is giving me this error.
xcrun: error: unable to find utility "PackageApplication", not a developer tool or in PATH
Everything works fine on the emulator.
I did some search and found this has affected Iconic and Codorva apps too. Anyone facing a similar issue? Can someone point me in the correct direction?

Reference: http://stackoverflow.com/questions/43068608/xcrun-error-unable-to-find-utility-packageapplication-not-a-developer-tool


#2

I ran into this as well. It sounds like the nativescript team is aware of it and issuing a hotfix - check out this thread for more on the issue.


#3

Thank you for the update :slight_smile:


#4

npm install -g nativescript to get 2.5.4. I just deployed to my iOS device again, woohoo!